import 'dart:async';

import 'package:flutter/services.dart';

class MockCrash {
  static const MethodChannel _channel = const MethodChannel('mock_crash');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> crash() async {
    await _channel.invokeMethod('crash');
  }

  static Future<void> throwException() async {
    await _channel.invokeMethod('throwException');
  }

  static Future<void> arrayOutIndex() async {
    await _channel.invokeMethod('arrayOutIndex');
  }
}
